Package org.jbpm.casemgmt.impl.event

## Class CaseEventSupport

- java.lang.Object
- - org.drools.core.event.AbstractEventSupport<CaseEventListener>
  - - org.jbpm.casemgmt.impl.event.CaseEventSupport

- All Implemented Interfaces:
    `Externalizable`, `Serializable`

      public class CaseEventSupport
      extends org.drools.core.event.AbstractEventSupport<CaseEventListener>

  Responsible for firing case related events to notify registered CaseEventListeners
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseEventSupport​(org.kie.internal.identity.IdentityProvider identityProvider, List<CaseEventListener> caseEventListeners)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fireAfterCaseCancelled​(String caseId, CaseFileInstance caseFile, List<Long> processInstanceIds)` |
    `void` | `fireAfterCaseClosed​(String caseId, CaseFileInstance caseFile, String comment)` |
    `void` | `fireAfterCaseCommentAdded​(String caseId, CaseFileInstance caseFile, CommentInstance commentInstance)` |
    `void` | `fireAfterCaseCommentRemoved​(String caseId, CaseFileInstance caseFile, CommentInstance commentInstance)` |
    `void` | `fireAfterCaseCommentUpdated​(String caseId, CaseFileInstance caseFile, CommentInstance commentInstance)` |
    `void` | `fireAfterCaseDataAdded​(String caseId, CaseFileInstance caseFile, String definitionId, Map<String,​Object> data)` |
    `void` | `fireAfterCaseDataRemoved​(String caseId, CaseFileInstance caseFile, String definitionId, Map<String,​Object> data)` |
    `void` | `fireAfterCaseDestroyed​(String caseId, CaseFileInstance caseFile, List<Long> processInstanceIds)` |
    `void` | `fireAfterCaseReopened​(String caseId, CaseFileInstance caseFile, String deploymentId, String caseDefinitionId, Map<String,​Object> data, long processInstanceId)` |
    `void` | `fireAfterCaseRoleAssignmentAdded​(String caseId, CaseFileInstance caseFile, String role, org.kie.api.task.model.OrganizationalEntity entity)` |
    `void` | `fireAfterCaseRoleAssignmentRemoved​(String caseId, CaseFileInstance caseFile, String role, org.kie.api.task.model.OrganizationalEntity entity)` |
    `void` | `fireAfterCaseStarted​(String caseId, String deploymentId, String caseDefinitionId, CaseFileInstance caseFile, long processInstanceId)` |
    `void` | `fireAfterDynamicProcessAdded​(String caseId, CaseFileInstance caseFile, long processInstanceId, String processId, Map<String,​Object> parameters, long subProcessInstanceId)` |
    `void` | `fireAfterDynamicTaskAdded​(String caseId, CaseFileInstance caseFile, long processInstanceId, String nodeType, Map<String,​Object> parameters)` |
    `void` | `fireBeforeCaseCancelled​(String caseId, CaseFileInstance caseFile, List<Long> processInstanceIds)` |
    `void` | `fireBeforeCaseClosed​(String caseId, CaseFileInstance caseFile, String comment)` |
    `void` | `fireBeforeCaseCommentAdded​(String caseId, CaseFileInstance caseFile, CommentInstance commentInstance)` |
    `void` | `fireBeforeCaseCommentRemoved​(String caseId, CaseFileInstance caseFile, CommentInstance commentInstance)` |
    `void` | `fireBeforeCaseCommentUpdated​(String caseId, CaseFileInstance caseFile, CommentInstance commentInstance)` |
    `void` | `fireBeforeCaseDataAdded​(String caseId, CaseFileInstance caseFile, String definitionId, Map<String,​Object> data)` |
    `void` | `fireBeforeCaseDataRemoved​(String caseId, CaseFileInstance caseFile, String definitionId, Map<String,​Object> data)` |
    `void` | `fireBeforeCaseDestroyed​(String caseId, CaseFileInstance caseFile, List<Long> processInstanceIds)` |
    `void` | `fireBeforeCaseReopened​(String caseId, CaseFileInstance caseFile, String deploymentId, String caseDefinitionId, Map<String,​Object> data)` |
    `void` | `fireBeforeCaseRoleAssignmentAdded​(String caseId, CaseFileInstance caseFile, String role, org.kie.api.task.model.OrganizationalEntity entity)` |
    `void` | `fireBeforeCaseRoleAssignmentRemoved​(String caseId, CaseFileInstance caseFile, String role, org.kie.api.task.model.OrganizationalEntity entity)` |
    `void` | `fireBeforeCaseStarted​(String caseId, String deploymentId, String caseDefinitionId, CaseFileInstance caseFile)` |
    `void` | `fireBeforeDynamicProcessAdded​(String caseId, CaseFileInstance caseFile, long processInstanceId, String processId, Map<String,​Object> parameters)` |
    `void` | `fireBeforeDynamicTaskAdded​(String caseId, CaseFileInstance caseFile, long processInstanceId, String nodeType, Map<String,​Object> parameters)` |
    `void` | `reset()` |

    - ### Methods inherited from class org.drools.core.event.AbstractEventSupport

      `addEventListener, clear, getEventListeners, hasListeners, notifyAllListeners, readExternal, removeEventListener, removeEventListener, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseEventSupport

          public CaseEventSupport​(org.kie.internal.identity.IdentityProvider identityProvider,
                                  List<CaseEventListener> caseEventListeners)

  - ### Method Detail

    - #### fireBeforeCaseStarted

          public void fireBeforeCaseStarted​(String caseId,
                                            String deploymentId,
                                            String caseDefinitionId,
                                            CaseFileInstance caseFile)

    - #### fireAfterCaseStarted

          public void fireAfterCaseStarted​(String caseId,
                                           String deploymentId,
                                           String caseDefinitionId,
                                           CaseFileInstance caseFile,
                                           long processInstanceId)

    - #### fireBeforeCaseClosed

          public void fireBeforeCaseClosed​(String caseId,
                                           CaseFileInstance caseFile,
                                           String comment)

    - #### fireAfterCaseClosed

          public void fireAfterCaseClosed​(String caseId,
                                          CaseFileInstance caseFile,
                                          String comment)

    - #### fireBeforeCaseCancelled

          public void fireBeforeCaseCancelled​(String caseId,
                                              CaseFileInstance caseFile,
                                              List<Long> processInstanceIds)

    - #### fireAfterCaseCancelled

          public void fireAfterCaseCancelled​(String caseId,
                                             CaseFileInstance caseFile,
                                             List<Long> processInstanceIds)

    - #### fireBeforeCaseDestroyed

          public void fireBeforeCaseDestroyed​(String caseId,
                                              CaseFileInstance caseFile,
                                              List<Long> processInstanceIds)

    - #### fireAfterCaseDestroyed

          public void fireAfterCaseDestroyed​(String caseId,
                                             CaseFileInstance caseFile,
                                             List<Long> processInstanceIds)

    - #### fireBeforeCaseReopened

          public void fireBeforeCaseReopened​(String caseId,
                                             CaseFileInstance caseFile,
                                             String deploymentId,
                                             String caseDefinitionId,
                                             Map<String,​Object> data)

    - #### fireAfterCaseReopened

          public void fireAfterCaseReopened​(String caseId,
                                            CaseFileInstance caseFile,
                                            String deploymentId,
                                            String caseDefinitionId,
                                            Map<String,​Object> data,
                                            long processInstanceId)

    - #### fireBeforeCaseCommentAdded

          public void fireBeforeCaseCommentAdded​(String caseId,
                                                 CaseFileInstance caseFile,
                                                 CommentInstance commentInstance)

    - #### fireAfterCaseCommentAdded

          public void fireAfterCaseCommentAdded​(String caseId,
                                                CaseFileInstance caseFile,
                                                CommentInstance commentInstance)

    - #### fireBeforeCaseCommentUpdated

          public void fireBeforeCaseCommentUpdated​(String caseId,
                                                   CaseFileInstance caseFile,
                                                   CommentInstance commentInstance)

    - #### fireAfterCaseCommentUpdated

          public void fireAfterCaseCommentUpdated​(String caseId,
                                                  CaseFileInstance caseFile,
                                                  CommentInstance commentInstance)

    - #### fireBeforeCaseCommentRemoved

          public void fireBeforeCaseCommentRemoved​(String caseId,
                                                   CaseFileInstance caseFile,
                                                   CommentInstance commentInstance)

    - #### fireAfterCaseCommentRemoved

          public void fireAfterCaseCommentRemoved​(String caseId,
                                                  CaseFileInstance caseFile,
                                                  CommentInstance commentInstance)

    - #### fireBeforeCaseRoleAssignmentAdded

          public void fireBeforeCaseRoleAssignmentAdded​(String caseId,
                                                        CaseFileInstance caseFile,
                                                        String role,
                                                        org.kie.api.task.model.OrganizationalEntity entity)

    - #### fireAfterCaseRoleAssignmentAdded

          public void fireAfterCaseRoleAssignmentAdded​(String caseId,
                                                       CaseFileInstance caseFile,
                                                       String role,
                                                       org.kie.api.task.model.OrganizationalEntity entity)

    - #### fireBeforeCaseRoleAssignmentRemoved

          public void fireBeforeCaseRoleAssignmentRemoved​(String caseId,
                                                          CaseFileInstance caseFile,
                                                          String role,
                                                          org.kie.api.task.model.OrganizationalEntity entity)

    - #### fireAfterCaseRoleAssignmentRemoved

          public void fireAfterCaseRoleAssignmentRemoved​(String caseId,
                                                         CaseFileInstance caseFile,
                                                         String role,
                                                         org.kie.api.task.model.OrganizationalEntity entity)

    - #### fireBeforeCaseDataAdded

          public void fireBeforeCaseDataAdded​(String caseId,
                                              CaseFileInstance caseFile,
                                              String definitionId,
                                              Map<String,​Object> data)

    - #### fireAfterCaseDataAdded

          public void fireAfterCaseDataAdded​(String caseId,
                                             CaseFileInstance caseFile,
                                             String definitionId,
                                             Map<String,​Object> data)

    - #### fireBeforeCaseDataRemoved

          public void fireBeforeCaseDataRemoved​(String caseId,
                                                CaseFileInstance caseFile,
                                                String definitionId,
                                                Map<String,​Object> data)

    - #### fireAfterCaseDataRemoved

          public void fireAfterCaseDataRemoved​(String caseId,
                                               CaseFileInstance caseFile,
                                               String definitionId,
                                               Map<String,​Object> data)

    - #### fireBeforeDynamicTaskAdded

          public void fireBeforeDynamicTaskAdded​(String caseId,
                                                 CaseFileInstance caseFile,
                                                 long processInstanceId,
                                                 String nodeType,
                                                 Map<String,​Object> parameters)

    - #### fireAfterDynamicTaskAdded

          public void fireAfterDynamicTaskAdded​(String caseId,
                                                CaseFileInstance caseFile,
                                                long processInstanceId,
                                                String nodeType,
                                                Map<String,​Object> parameters)

    - #### fireBeforeDynamicProcessAdded

          public void fireBeforeDynamicProcessAdded​(String caseId,
                                                    CaseFileInstance caseFile,
                                                    long processInstanceId,
                                                    String processId,
                                                    Map<String,​Object> parameters)

    - #### fireAfterDynamicProcessAdded

          public void fireAfterDynamicProcessAdded​(String caseId,
                                                   CaseFileInstance caseFile,
                                                   long processInstanceId,
                                                   String processId,
                                                   Map<String,​Object> parameters,
                                                   long subProcessInstanceId)

    - #### reset

          public void reset()